[ARVADOS] created: 2.1.0-1880-g1fbd0e28a

Git user git at public.arvados.org
Tue Feb 8 19:02:14 UTC 2022


        at  1fbd0e28afc19a6eaa0fd75003609da78e146f99 (commit)


commit 1fbd0e28afc19a6eaa0fd75003609da78e146f99
Author: Tom Clegg <tom at curii.com>
Date:   Tue Feb 8 14:01:04 2022 -0500

    Clean up bundler version check/install.
    
    Apparently gem installs bundler in $HOME, not in $GEM_HOME like we
    expected.
    
    Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at curii.com>

diff --git a/build/run-tests.sh b/build/run-tests.sh
index 9cd38784b..f716cb35f 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -544,13 +544,12 @@ setup_ruby_environment() {
         echo "Will install dependencies to $(gem env gemdir)"
         echo "Will install bundler and arvados gems to $tmpdir_gem_home"
         echo "Gem search path is GEM_PATH=$GEM_PATH"
-        bundle="$tmpdir_gem_home/bin/bundle"
+        bundle="bundle"
         (
             export HOME=$GEMHOME
-            bundlers="$(gem list --details bundler)"
             versions=(2.2.19)
             for v in ${versions[@]}; do
-                if ! echo "$bundlers" | fgrep -q "($v)"; then
+                if ! gem list --installed --version "${v}" bundler >/dev/null; then
                     gem install --no-document --user $(for v in ${versions[@]}; do echo bundler:${v}; done)
                     break
                 fi
diff --git a/lib/install/deps.go b/lib/install/deps.go
index 1d3cc0927..6a8b912a0 100644
--- a/lib/install/deps.go
+++ b/lib/install/deps.go
@@ -29,7 +29,7 @@ import (
 var Command cmd.Handler = &installCommand{}
 
 const devtestDatabasePassword = "insecure_arvados_test"
-const goversion = "1.17.1"
+const goversion = "1.17.6"
 
 type installCommand struct {
 	ClusterType    string

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list